commit: 4ed1e74c0976967d240889a13bd837b6bbbbaa46
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 9 21:32:56 2025 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Wed Jul 9 21:48:04 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ed1e74c
dev-dotnet/dotnet-sdk-bin: bump to 9.0.302
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
dev-dotnet/dotnet-sdk-bin/Manifest | 6 +
.../dotnet-sdk-bin/dotnet-sdk-bin-9.0.302.ebuild | 172 +++++++++++++++++++++
2 files changed, 178 insertions(+)
diff --git a/dev-dotnet/dotnet-sdk-bin/Manifest
b/dev-dotnet/dotnet-sdk-bin/Manifest
index 2c1c994a9f85..7d7410c963e7 100644
--- a/dev-dotnet/dotnet-sdk-bin/Manifest
+++ b/dev-dotnet/dotnet-sdk-bin/Manifest
@@ -40,3 +40,9 @@ DIST dotnet-sdk-9.0.300-linux-musl-arm.tar.gz 212603345
BLAKE2B 29b1fff839cffa28
DIST dotnet-sdk-9.0.300-linux-musl-arm64.tar.gz 213014876 BLAKE2B
90811082554da57bbf0fec25b68ec2d27f080ceb7f2422bf4d69f5940c591c26db2f4c33fb718de8aaaaefb7edda86181111a0c0bab258f1db44cd1512de496d
SHA512
0d9c5bf285f13ac3206ce327effe384fbca11af739c82c222b274654866c58d88338d66b91d4517906d7abeba33e97dd869c75b52b7cecef10af3e6e206eadb2
DIST dotnet-sdk-9.0.300-linux-musl-x64.tar.gz 217831069 BLAKE2B
eb6eb56b6be4fdb393761898a9a3f58b271d0c581b8397fd969ffe649ab058e7b5111ff3cde1cdbc896bb7f4ffb09f3f565a8e0d87b8c0954923220e8f341569
SHA512
a03fd3f772f288c501ae0cb950ac9a3491785d0f39660fb12814a9fc40d58f7dafb835a3ffb8e5e4016a9d199d0dfb960e053bbb695b54a5803967f1f2f2fe33
DIST dotnet-sdk-9.0.300-linux-x64.tar.gz 217847129 BLAKE2B
f83acd3e70f25f83048c335b9d9ca3c15e3ae91938f1e87b27430f66e613c5331daf08729a66b73de30a741a317dbca73060bdab88b98f73dfac2a04d376e3ac
SHA512
dcab6daef3164390d09edc169d4bf8ec3480af1288e9766c07d20d3c7b70517d263083c3900381fda59c3a7f0aef3fd75ee4f604173c889e8222d6449091d843
+DIST dotnet-sdk-9.0.302-linux-arm.tar.gz 212521231 BLAKE2B
dff45a7644e0f11f6e75699e5a04650513a9a3f8fa86fbf8f0e7d35a7546627d64f37b047f6e142fd513283169d0d712507d659f55ae93a6e685946a3cc3325c
SHA512
880500176abc263b9fe4d9fd5b3f77b975370bcc76af1453b5b776d835329a5a9f3e02903ced3ee3419ae6f7e0e99cb964b585bb430da75d6623dc2965c46081
+DIST dotnet-sdk-9.0.302-linux-arm64.tar.gz 212925183 BLAKE2B
7377289fc6a166de65edc7c622d22936a8bcbdebed308ea2bcb2f3ddede6169c7377756c65e515c4db32050cb53225b8853dedba679c610d4da880b653013930
SHA512
dded437c836b201219ef8cb1993e50c3e96a9d09cd2541ffe2c0810530e737dfb44adb8dd766caa2f02def0d0bc2ac9c563a189f1cb1ca6a64d9f71251a94141
+DIST dotnet-sdk-9.0.302-linux-musl-arm.tar.gz 212607437 BLAKE2B
058e7accb6cd428f2755e1b49d727f7011e3badcb978d9a6e0abef84b6688997c4c5457d988b6a99e894c7719b2726d655339705e117000e0316d5eb7ef98c1b
SHA512
f42092ae79719b3ac136e9f634bb81251d75b73551e0d8661e8be8b5decb23633f0877ff1e1fc60b16509483e20b49dac9c7a4cc6093848d1e9da0f7c6a93c37
+DIST dotnet-sdk-9.0.302-linux-musl-arm64.tar.gz 213109821 BLAKE2B
f84f8f83cbe3e2b6010251e48ad5c9da85923ead2b3ef500604a22ed4ccdaf68cef7717a7d4364ffb08fb8148f72a7d64de5c804afcd0c515fd3c4846c28d7d3
SHA512
c84b1b419aaf2d778b080e019f0937897dc8a64d0612a3c2203acdcbb1ff598847a87a3ec3c688f3d03accb2180752b3c9b10043a60478347151bab3655ded1f
+DIST dotnet-sdk-9.0.302-linux-musl-x64.tar.gz 217948829 BLAKE2B
5b8c8d32b3078097643f50fd147b1f643af97deb21fc7b36963593be29255dcf115904066b18f27293412fc34fc7d9db35ae3e68be234d1a067457da54ab307f
SHA512
01a0138fc5e6b05f6bf77f51b225cbb73606552f121f7c947e4a9c5db45775d4031d79a4ae1fc6e6b3b5d6388ecd2b0d503e5447b2e892fed9539a0728e624dd
+DIST dotnet-sdk-9.0.302-linux-x64.tar.gz 217911201 BLAKE2B
b7528b800a2caf785b67bcd8aaf2b7dcf299863d19719490499f383df39bd6c62e47ac0ae3fa179e6f180bb0a694e4ca5eb953f2c029cfeb3398755c5fb58deb
SHA512
fe46a96e794388b345105e47896e4e91099ffd907a7127ff2cadf76adb3a7be0b43f0cd8d2c376ae455283d08f4751f7ef11890fd2697304ef114447ae209c88
diff --git a/dev-dotnet/dotnet-sdk-bin/dotnet-sdk-bin-9.0.302.ebuild
b/dev-dotnet/dotnet-sdk-bin/dotnet-sdk-bin-9.0.302.ebuild
new file mode 100644
index 000000000000..617a65485c0a
--- /dev/null
+++ b/dev-dotnet/dotnet-sdk-bin/dotnet-sdk-bin-9.0.302.ebuild
@@ -0,0 +1,172 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+SDK_SLOT="$(ver_cut 1-2)"
+RUNTIME_SLOT="${SDK_SLOT}.7"
+
+DESCRIPTION=".NET is a free, cross-platform, open-source developer platform"
+HOMEPAGE="https://dotnet.microsoft.com/
+ https://github.com/dotnet/dotnet/"
+SRC_URI="
+amd64? (
+ elibc_glibc? (
+
https://builds.dotnet.microsoft.com/dotnet/Sdk/${PV}/dotnet-sdk-${PV}-linux-x64.tar.gz
+ )
+ elibc_musl? (
+
https://builds.dotnet.microsoft.com/dotnet/Sdk/${PV}/dotnet-sdk-${PV}-linux-musl-x64.tar.gz
+ )
+)
+arm? (
+ elibc_glibc? (
+
https://builds.dotnet.microsoft.com/dotnet/Sdk/${PV}/dotnet-sdk-${PV}-linux-arm.tar.gz
+ )
+ elibc_musl? (
+
https://builds.dotnet.microsoft.com/dotnet/Sdk/${PV}/dotnet-sdk-${PV}-linux-musl-arm.tar.gz
+ )
+)
+arm64? (
+ elibc_glibc? (
+
https://builds.dotnet.microsoft.com/dotnet/Sdk/${PV}/dotnet-sdk-${PV}-linux-arm64.tar.gz
+ )
+ elibc_musl? (
+
https://builds.dotnet.microsoft.com/dotnet/Sdk/${PV}/dotnet-sdk-${PV}-linux-musl-arm64.tar.gz
+ )
+)
+"
+S="${WORKDIR}"
+
+LICENSE="MIT"
+SLOT="${SDK_SLOT}/${RUNTIME_SLOT}"
+# See bug https://bugs.gentoo.org/932377
+# Latest versions are unkeyworded.
+# KEYWORDS="~amd64 ~arm ~arm64"
+
+# STRIP="llvm-strip" corrupts some executables when using the patchelf hack,
+# bug https://bugs.gentoo.org/923430
+RESTRICT="splitdebug strip"
+
+CURRENT_NUGETS_DEPEND="
+ ~dev-dotnet/dotnet-runtime-nugets-${RUNTIME_SLOT}
+"
+EXTRA_NUGETS_DEPEND="
+ ~dev-dotnet/dotnet-runtime-nugets-6.0.36
+ ~dev-dotnet/dotnet-runtime-nugets-7.0.20
+ ~dev-dotnet/dotnet-runtime-nugets-8.0.18
+"
+NUGETS_DEPEND="
+ ${CURRENT_NUGETS_DEPEND}
+ ${EXTRA_NUGETS_DEPEND}
+"
+
+RDEPEND="
+ app-crypt/mit-krb5:0/0
+ dev-libs/icu
+ dev-util/lttng-ust:0/2.12
+ sys-libs/zlib:0/1
+"
+BDEPEND="
+ dev-util/patchelf
+"
+IDEPEND="
+ app-eselect/eselect-dotnet
+"
+PDEPEND="
+ ${NUGETS_DEPEND}
+"
+
+QA_PREBUILT="*"
+
+MUSL_BAD_LINKS=(
+ apphost
+ createdump
+ dotnet
+ libSystem.Globalization.Native.so
+ libSystem.IO.Compression.Native.so
+ libSystem.Native.so
+ libSystem.Net.Security.Native.so
+ libSystem.Security.Cryptography.Native.OpenSsl.so
+ libclrgc.so
+ libclrjit.so
+ libcoreclr.so
+ libcoreclrtraceptprovider.so
+ libdbgshim.so
+ libhostfxr.so
+ libhostpolicy.so
+ libmscordaccore.so
+ libmscordbi.so
+ libnethost.so
+ singlefilehost
+)
+MUSL_BAD_SONAMES=(
+ libc.musl-aarch64.so.1
+ libc.musl-armv7.so.1
+ libc.musl-x86_64.so.1
+)
+
+src_prepare() {
+ default
+
+ # Fix musl libc SONAME links, bug https://bugs.gentoo.org/894760
+ if use elibc_musl ; then
+ local musl_bad_link
+ local musl_bad_link_path
+ local musl_bad_soname
+
+ for musl_bad_link in "${MUSL_BAD_LINKS[@]}" ; do
+ while read -r musl_bad_link_path ; do
+ # Skip if file either does not end with ".so"
or is not executable.
+ # Using "case" here for easier matching in case
we have to add
+ # a special exception.
+ case "${musl_bad_link_path}" in
+ *.so )
+ :
+ ;;
+ * )
+ if [[ ! -x
"${musl_bad_link_path}" ]] ; then
+ continue
+ fi
+ ;;
+ esac
+
+ einfo "Fixing musl libc link for
${musl_bad_link_path}"
+
+ for musl_bad_soname in "${MUSL_BAD_SONAMES[@]}"
; do
+ patchelf --remove-needed
"${musl_bad_soname}" "${musl_bad_link_path}" || die
+ done
+
+ patchelf --add-needed libc.so
"${musl_bad_link_path}" || die
+ done < <(find . -type f -name "${musl_bad_link}")
+ done
+ fi
+
+ # Remove static libraries, bug https://bugs.gentoo.org/825774
+ find ./packs -type f -name "libnethost.a" -delete || die
+}
+
+src_install() {
+ local dest="opt/${PN}-${SDK_SLOT}"
+ dodir "${dest%/*}"
+
+ # Create a magic workloads file, bug #841896
+ local featureband="$(( $(ver_cut 3) / 100 * 100 ))" # e.g. 404 ->
400
+ local workloads="metadata/workloads/${SDK_SLOT}.${featureband}"
+
+ mkdir -p "${S}/${workloads}" || die
+ touch "${S}/${workloads}/userlocal" || die
+
+ mv "${S}" "${ED}/${dest}" || die
+ mkdir "${S}" || die
+
+ fperms 0755 "/${dest}"
+ dosym "../../${dest}/dotnet" "/usr/bin/dotnet-bin-${SDK_SLOT}"
+}
+
+pkg_postinst() {
+ eselect dotnet update ifunset
+}
+
+pkg_postrm() {
+ eselect dotnet update ifunset
+}